<?xml version='1.0' encoding='UTF-8'?>
<!DOCTYPE beans PUBLIC '-//SPRING//DTD BEAN//EN' 'http://www.springframework.org/dtd/spring-beans.dtd'>
<beans>

    <bean id="officeStartupCommand" class="org.adullact.iparapheur.repo.office.RuntimeExec">
        <property name="commandsAndArguments">
            <map>
                <entry key=".*">
                    <list>
                        <value>${ooo.exe}</value>
                        <value>-accept=socket,host=127.0.0.1,port=${ooo.port};urp;StarOffice.ServiceManager</value>
                        <bean class="org.alfresco.util.StringAppendingFactoryBean">
                            <property name="items">
                                <list>
                                    <value>-env:UserInstallation=</value>
                                    <ref bean="userInstallationURI" />
                                </list>
                            </property>
                        </bean>
                        <value>-nologo</value>
                        <value>-headless</value>
                        <value>-nofirststartwizard</value>
                        <value>-nocrashrep</value>
                        <value>-norestore</value>
                    </list>
                </entry>
            </map>
        </property>
        <property name="waitForCompletion">
            <value>false</value>
        </property>
        <property name="errorCodes">
            <value>2</value>
        </property>
    </bean>

</beans>